<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::FlatTupleBase&lt; FlatTuple&lt; T... &gt;, IndexSequence&lt; Idx... &gt; &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structtesting_1_1internal_1_1FlatTupleBase_3_01FlatTuple_3_01T_8_8_8_01_4_00_01IndexSequence_3_01Idx_8_8_8_01_4_01_4.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::FlatTupleBase&lt; FlatTuple&lt; T... &gt;, IndexSequence&lt; Idx... &gt; &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::FlatTupleBase&lt; FlatTuple&lt; T... &gt;, IndexSequence&lt; Idx... &gt; &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="structtesting_1_1internal_1_1FlatTupleBase_3_01FlatTuple_3_01T_8_8_8_01_4_00_01IndexSequence_3_00431fb417381c8c3c9e075fb35152a07.svg" width="231" height="186"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::FlatTupleBase&lt; FlatTuple&lt; T... &gt;, IndexSequence&lt; Idx... &gt; &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="structtesting_1_1internal_1_1FlatTupleBase_3_01FlatTuple_3_01T_8_8_8_01_4_00_01IndexSequence_3_0db435676f5b40a729de5146d36fb9cc6.svg" width="231" height="186"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ada1941ebde1ec1c844b72970e0ccb304"><td class="memItemLeft" align="right" valign="top"><a id="ada1941ebde1ec1c844b72970e0ccb304"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Indices</b> = <a class="el" href="structtesting_1_1internal_1_1IndexSequence.html">IndexSequence</a>&lt; Idx... &gt;</td></tr>
<tr class="separator:ada1941ebde1ec1c844b72970e0ccb304"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac81feaec889fe13cf9daab8885ffe860"><td class="memTemplParams" colspan="2"><a id="ac81feaec889fe13cf9daab8885ffe860"></a>
template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:ac81feaec889fe13cf9daab8885ffe860"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>FlatTupleBase</b> (<a class="el" href="structtesting_1_1internal_1_1FlatTupleConstructTag.html">FlatTupleConstructTag</a>, Args &amp;&amp;... args)</td></tr>
<tr class="separator:ac81feaec889fe13cf9daab8885ffe860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21e10a7ed2ad62a11973b15d41df50f9"><td class="memTemplParams" colspan="2"><a id="a21e10a7ed2ad62a11973b15d41df50f9"></a>
template&lt;size_t I&gt; </td></tr>
<tr class="memitem:a21e10a7ed2ad62a11973b15d41df50f9"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="structtesting_1_1internal_1_1ElemFromList.html">ElemFromList</a>&lt; I, T... &gt;::type &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Get</b> () const</td></tr>
<tr class="separator:a21e10a7ed2ad62a11973b15d41df50f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb30c2ee6a46dccd70ce2b81e481ec9"><td class="memTemplParams" colspan="2"><a id="abeb30c2ee6a46dccd70ce2b81e481ec9"></a>
template&lt;size_t I&gt; </td></tr>
<tr class="memitem:abeb30c2ee6a46dccd70ce2b81e481ec9"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structtesting_1_1internal_1_1ElemFromList.html">ElemFromList</a>&lt; I, T... &gt;::type &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Get</b> ()</td></tr>
<tr class="separator:abeb30c2ee6a46dccd70ce2b81e481ec9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8d341a98324f1e790a0a12c8596645d"><td class="memTemplParams" colspan="2"><a id="aa8d341a98324f1e790a0a12c8596645d"></a>
template&lt;typename F &gt; </td></tr>
<tr class="memitem:aa8d341a98324f1e790a0a12c8596645d"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Apply</b> (F &amp;&amp;f) -&gt; decltype(std::forward&lt; F &gt;(f)(this-&gt;Get&lt; Idx &gt;()...))</td></tr>
<tr class="separator:aa8d341a98324f1e790a0a12c8596645d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a17e3c5ec6709b60ea58e53ec23f2da"><td class="memTemplParams" colspan="2"><a id="a3a17e3c5ec6709b60ea58e53ec23f2da"></a>
template&lt;typename F &gt; </td></tr>
<tr class="memitem:a3a17e3c5ec6709b60ea58e53ec23f2da"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Apply</b> (F &amp;&amp;f) const -&gt; decltype(std::forward&lt; F &gt;(f)(this-&gt;Get&lt; Idx &gt;()...))</td></tr>
<tr class="separator:a3a17e3c5ec6709b60ea58e53ec23f2da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="gtest-internal_8h_source.html">gtest-internal.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="structtesting_1_1internal_1_1FlatTupleBase_3_01FlatTuple_3_01T_8_8_8_01_4_00_01IndexSequence_3_01Idx_8_8_8_01_4_01_4.html">FlatTupleBase&lt; FlatTuple&lt; T... &gt;, IndexSequence&lt; Idx... &gt; &gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
